# SPDX-FileCopyrightText: 2024 The Nirvati Developers
#
# SPDX-License-Identifier: AGPL-3.0-or-later

[package]
name = "nirvati"
version = "0.1.3"
edition = "2024"
license = "AGPL-3.0-or-later"
description = "Common components for Nirvati"
repository = "https://gitlab.com/nirvati/system/backend"

[dependencies]
async-graphql = { version = "7.0.3", default-features = false, optional = true }
k8s-openapi = "0.24.0"
kube = { version = "0.98", features = ["client", "openssl-tls"], default-features = false }
semver = { version = "1.0", features = ["serde"] }
serde = "1.0.198"
serde_json = "1.0.116"
serde_yaml = "0.9.34"
thiserror = "1.0.59"
tracing = "0.1.40"
hex = "0.4.3"
hmac-sha256 = "1.1.7"
anyhow = "1.0.87"

[features]
graphql = ["dep:async-graphql"]
__development = []
